Intel® Integrated Performance Primitives
Deliberate problems developing high-performance vision, signal, security, and storage applications.

LNK2026 Error : SAFESEH image

ysyoon
Beginner
328 Views

Hello,

I am making a static library using IPP 5.1 version. This static library will be used in another DLL. Also I am using MS WDK6000 compiler.

After making a static library with IPP 5.1, there is any problem in making a librarybut when I link this with another DLL it gives me

[ error LNK2026: module unsafe for SAFESEH image. ]

How can I solve this?

Thanks in advance.

0 Kudos
1 Reply
Vladimir_Dudnik
Employee
328 Views

I think the issue is related to the fact that you use the latest build tools with the library which was built about two years ago.

Could you please try the latest IPP version which currently is IPP 5.2?

Regards,
Vladimir

0 Kudos
Reply